from pydantic import BaseModel


class StopModel(BaseModel):
    countdown: int = 60
    reason: str = ""
    timeout: int = 10


class RestartModel(BaseModel):
    countdown: int = 60
    reason: str = ""
    timeout: int = 10


class MaintainanceModel(BaseModel):
    countdown: int = 60
    reason: str = ""
    timeout: int = 10


class CommandModel(BaseModel):
    command: str


class LogsTailModel(BaseModel):
    back: int = 10


class Models:
    StopModel = StopModel
    RestartModel = RestartModel
    MaintainanceModel = MaintainanceModel
    CommandModel = CommandModel
    LogsTailModel = LogsTailModel
